Skip to main content
`Ctrl`+`K`

# EPSEVSLSetPolParameters

Defines the parameters used for building the building the polynomial in the EVSL solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSEVSLSetPolParameters(EPS eps,PetscInt max_deg,PetscReal thresh)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- max_deg - maximum degree allowed for the polynomial

- thresh - threshold for accepting a value

## Options Database Keys

- -eps_evsl_pol_max_deg max_deg - set maximum polynomial degree

- -eps_evsl_pol_thresh thresh - set the threshold

## Notes

`PETSC_CURRENT` can be used to preserve the current value of any of the arguments, and `PETSC_DETERMINE` to set them to a default value.

See the documentation of EVSL [Li et al., 2019] for details.

## References

[Li19]

R. Li, Y. Xi, L. Erlandson, and Y. Saad. The eigenvalues slicing library (EVSL): algorithms, implementation, and software. SIAM J. Sci. Comput., 41(4):C393–C415, 2019. doi:10.1137/18M1170935.

## See Also

EPS: Eigenvalue Problem Solver, `EPSEVSL`, `EPSEVSLGetPolParameters()`

## Level

advanced

## Location

src/eps/impls/external/evsl/evsl.c

## Implementations

EPSEVSLSetPolParameters_EVSL() in src/eps/impls/external/evsl/evsl.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages